Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.client
Class HeartbeatClient

    java.lang.Object
      org.jini.rio.resources.client.HeartbeatClient

    public class HeartbeatClient

extends Object

Field Summary
`static String` | `HEARTBEAT_PERIOD_KEY`
`static String` | `HEARTBEAT_SERVER_KEY`

Constructor Summary
`HeartbeatClient(Uuid uuid)` Create a HeartbeatClient with the uuid for the Service

Method Summary
`void` | `addHeartbeatServer(String[] configArgs)` Start sending heartbeats to another server
`static void` | `main(String[] args)`
`void` | `terminate()` Stop sending heartbeats to all heartbeat server instances

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEARTBEAT_SERVER_KEY

    public static final String HEARTBEAT_SERVER_KEY

See Also:
  Constant Field Values

### HEARTBEAT_PERIOD_KEY

    public static final String HEARTBEAT_PERIOD_KEY

See Also:
  Constant Field Values

Constructor Detail

### HeartbeatClient

    public HeartbeatClient(Uuid uuid)

  Create a HeartbeatClient with the uuid for the Service

Method Detail

### terminate

    public void terminate()

  Stop sending heartbeats to all heartbeat server instances

### addHeartbeatServer

    public void addHeartbeatServer(String[] configArgs)
                            throws ConfigurationException

  Start sending heartbeats to another server

  Parameters:
    `configArgs` - Configuration entries
  Throws:
    `ConfigurationException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.